com.romix.scala.collection.concurrent

## Class Pair<K,V>

- java.lang.Object
- - com.romix.scala.collection.concurrent.Pair<K,V>

Type Parameters:
  `K` -
  `V` -

All Implemented Interfaces:
  Map.Entry<K,V>

    public class Pair<K,V>
    extends Object
    implements Map.Entry<K,V>

Helper class simulating a tuple of 2 elements in Scala

### Method Summary

Methods
`K` `getKey()`
`V` `getValue()`
`V` `setValue(V value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Map.Entry

`equals, hashCode`

### Method Detail

#### getKey

    public K getKey()

Specified by:
  `getKey` in interface `Map.Entry<K,V>`

#### getValue

    public V getValue()

Specified by:
  `getValue` in interface `Map.Entry<K,V>`

#### setValue

    public V setValue(V value)

Specified by:
  `setValue` in interface `Map.Entry<K,V>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015